/* color scheme dependend color scheme toggle */
@media (prefers-color-scheme: dark) {
	/* show light dark icon based on mode */
	body:has(#darklight:not(:checked)) #dark {
		display: none;
	}

	body:has(#darklight:checked) #light {
		display: none;
	}

	:root:has(#darklight:not(:checked)) {
		--bg: #000000;
		--bg-translucent: #000000cc;
		--fg: #ffffff;
		--red: #fa7883;
		--yellow: #ffc387;
		--green: #98c379;
		--cyan: #8af5ff;
		--blue: #6bb8ff;
		--magenta: #e799ff;
	}

	:root:has(#darklight:checked) {
		--bg: #faf0dc;
		--bg-translucent: #faf0dcaa;
		--fg: #181818;
		--red: #b3475b;
		--yellow: #b3684f;
		--green: #537c4c;
		--cyan: #4c988b;
		--blue: #5555c2;
		--magenta: #a158a1;
	}
}

@media (prefers-color-scheme: light) {
	/* show light dark icon based on mode */
	body:has(#darklight:checked) #dark {
		display: none;
	}

	body:has(#darklight:not(:checked)) #light {
		display: none;
	}

	:root:has(#darklight:checked) {
		--bg: #000000;
		--bg-translucent: #000000cc;
		--fg: #ffffff;
		--red: #fa7883;
		--yellow: #ffc387;
		--green: #98c379;
		--cyan: #8af5ff;
		--blue: #6bb8ff;
		--magenta: #e799ff;
	}

	:root:has(#darklight:not(:checked)) {
		--bg: #faf0dc;
		--bg-translucent: #faf0dcaa;
		--fg: #181818;
		--red: #b3475b;
		--yellow: #b3684f;
		--green: #537c4c;
		--cyan: #4c988b;
		--blue: #5555c2;
		--magenta: #a158a1;
	}
}

body {
	background-color: var(--bg);
	background-image: url(https://wallpapers.quantenzitrone.eu/all-wallpapers/aenami-endgame-full.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: bottom;
	color: var(--fg);
	font-family: monospace;
	font-size: 1rem;
}

a {
	color: var(--blue);
	text-decoration: none;
}

.a {
	fill: var(--blue);
}

a:visited {
	color: var(--cyan);
}

.boxcool {
	border: 2px #a0f solid;
	padding: 1rem;
	background: var(--bg-translucent);
	backdrop-filter: blur(5px);
}

/* checkboxes */
body:has(#show-checkboxes:checked) {
	#showcheckboxes {
		display: none;
	}
}

body:has(#show-checkboxes:not(:checked)) {
	#hidecheckboxes {
		display: none;
	}
	.togglebutton {
		display: none;
	}
}

/* configure quotes */
blockquote {
	margin: 0;
	margin-left: 1rem;
	padding: 0.5rem 1rem;
	display: block;
	border-left: 0.4rem rgb(from var(--fg) r g b / 0.5) solid;
	border-radius: 0.2rem;
}
cite {
	margin-left: 2.5rem;
	margin-bottom: 1rem;
}

/* 88x31s */
.button {
	width: 88px;
	height: 31px;
	min-width: 88px;
	min-height: 31px;
	max-width: 88px;
	max-height: 31px;
	padding: 2px;
	* {
		background: var(--fg);
		height: 100%;
		width: 100%;
		border: none;
		margin: none;
		padding: none;
	}
}
